package de.itstall;

import de.itstall.model.Kontakt;
import javafx.event.ActionEvent;
import javafx.fxml.FXML;
import javafx.scene.control.Button;
import javafx.scene.control.TextField;

public class TelefonbuchController {

    private Kontakt kontakt = new Kontakt();

    @FXML
    private TextField txtVorname;

    @FXML
    private TextField txtNachname;

    @FXML
    private TextField txtStrasse;

    @FXML
    private TextField txtHNr;

    @FXML
    private TextField txtPlz;

    @FXML
    private TextField txtOrt;

    @FXML
    private TextField txtTelefon;

    @FXML
    private Button btnNaviLinks;

    @FXML
    private Button btnNaviRechts;

    @FXML
    private Button btnNeuerEintrag;

    @FXML
    private Button btnLoeschen;

    @FXML
    void loeschen(ActionEvent event) {

    }

    @FXML
    void navWeiter(ActionEvent event) {

    }

    @FXML
    void navZurueck(ActionEvent event) {

    }

    @FXML
    void neuerEintrag(ActionEvent event) {

    }

    @FXML
    void initialize() {
        assert txtVorname != null : "fx:id=\"txtVorname\" was not injected: check your FXML file 'telefonbuch.fxml'.";
        assert txtNachname != null : "fx:id=\"txtNachname\" was not injected: check your FXML file 'telefonbuch.fxml'.";
        assert txtStrasse != null : "fx:id=\"txtStrasse\" was not injected: check your FXML file 'telefonbuch.fxml'.";
        assert txtHNr != null : "fx:id=\"txtHNr\" was not injected: check your FXML file 'telefonbuch.fxml'.";
        assert txtPlz != null : "fx:id=\"txtPlz\" was not injected: check your FXML file 'telefonbuch.fxml'.";
        assert txtOrt != null : "fx:id=\"txtOrt\" was not injected: check your FXML file 'telefonbuch.fxml'.";
        assert txtTelefon != null : "fx:id=\"txtTelefon\" was not injected: check your FXML file 'telefonbuch.fxml'.";
        assert btnNaviLinks != null : "fx:id=\"btnNaviLinks\" was not injected: check your FXML file 'telefonbuch.fxml'.";
        assert btnNaviRechts != null : "fx:id=\"btnNaviRechts\" was not injected: check your FXML file 'telefonbuch.fxml'.";
        assert btnNeuerEintrag != null : "fx:id=\"btnNeuerEintrag\" was not injected: check your FXML file 'telefonbuch.fxml'.";
        assert btnLoeschen != null : "fx:id=\"btnLoeschen\" was not injected: check your FXML file 'telefonbuch.fxml'.";

        txtVorname.focusedProperty().addListener((observableValue, aBoolean, t1) -> {
            if(!t1) {
                if(!kontakt.setPlz(txtVorname.getText())) {
                    txtVorname.setStyle("-fx-background-color: #ff000040;");
                } else {
                    txtVorname.setStyle("-fx-background-color: WHITE;");
                }
            }
        });

        txtNachname.focusedProperty().addListener((observableValue, aBoolean, t1) -> {
            if(!t1) {
                if(!kontakt.setPlz(txtNachname.getText())) {
                    txtNachname.setStyle("-fx-background-color: #ff000040;");
                } else {
                    txtNachname.setStyle("-fx-background-color: WHITE;");
                }
            }
        });

        txtStrasse.focusedProperty().addListener((observableValue, aBoolean, t1) -> {
            if(!t1) {
                if(!kontakt.setPlz(txtStrasse.getText())) {
                    txtStrasse.setStyle("-fx-background-color: #ff000040;");
                } else {
                    txtStrasse.setStyle("-fx-background-color: WHITE;");
                }
            }
        });

        txtHNr.focusedProperty().addListener((observableValue, aBoolean, t1) -> {
            if(!t1) {
                if(!kontakt.setPlz(txtHNr.getText())) {
                    txtHNr.setStyle("-fx-background-color: #ff000040;");
                } else {
                    txtHNr.setStyle("-fx-background-color: WHITE;");
                }
            }
        });

        txtPlz.focusedProperty().addListener((observableValue, aBoolean, t1) -> {
            if(!t1) {
                if(!kontakt.setPlz(txtPlz.getText())) {
                    txtPlz.setStyle("-fx-background-color: #ff000040;");
                } else {
                    txtPlz.setStyle("-fx-background-color: WHITE;");
                }
            }
        });

        txtOrt.focusedProperty().addListener((observableValue, aBoolean, t1) -> {
            if(!t1) {
                if(!kontakt.setPlz(txtOrt.getText())) {
                    txtOrt.setStyle("-fx-background-color: #ff000040;");
                } else {
                    txtOrt.setStyle("-fx-background-color: WHITE;");
                }
            }
        });

        txtTelefon.focusedProperty().addListener((observableValue, aBoolean, t1) -> {
            if(!t1) {
                if(!kontakt.setPlz(txtTelefon.getText())) {
                    txtTelefon.setStyle("-fx-background-color: #ff000040;");
                } else {
                    txtTelefon.setStyle("-fx-background-color: WHITE;");
                }
            }
        });
    }
}
